Skip to main content
GET
/
api
/
v1
/
files
List files
curl --request GET \
  --url https://api.uplint.dev/api/v1/files \
  --header 'Authorization: Bearer <token>'
{
  "status": "SUCCESS",
  "message": "<string>",
  "data": [
    {
      "file_id": "<string>",
      "original_filename": "<string>",
      "content_type": "<string>",
      "size_bytes": 123,
      "context_key": "<string>",
      "uploaded_by": "<string>",
      "uploaded_by_name": "<string>",
      "metadata": {},
      "download_count": 0,
      "last_downloaded_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total": 123,
    "total_pages": 123
  },
  "timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Pass an API key or JWT token. API keys can be sent as Authorization: Bearer <key> or Authorization: <key>.

Query Parameters

context
string

Filter by context key.

uploaded_by
string

Filter by API key ID or user ID.

page
integer
default:1

Page number.

Required range: x >= 1
page_size
integer
default:20

Items per page.

Required range: 1 <= x <= 100

Response

Paginated list of files.

status
enum<string>
Available options:
SUCCESS
message
string
data
object[]
pagination
object
timestamp
string<date-time>